LSattr_html_select_list : make getPossibleValues() optionally and statically callable
[ldapsaisie.git] / buildDocExports.sh
index df6b1af..3a787e5 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 ROOT_DIR=$( cd `dirname $0`; pwd )
 LOCAL_CFG_DIR=$ROOT_DIR/config.local
@@ -18,6 +18,12 @@ then
     exit 0
 fi
 
+if [ ! -d "$EXPORT_DOC_DIR" ]
+then
+    echo "Error : Export directory $EXPORT_DOC_DIR does not exist !"
+    exit 2
+fi
+
 DOC_DIR=$ROOT_DIR/doc
 TMP_DIR=`mktemp -d`
 ERROR=0
@@ -32,7 +38,23 @@ then
     cp -f $DOC_DIR/exports/pdf/LdapSaisie.pdf $EXPORT_DOC_DIR/LdapSaisie.pdf
     if [ $? -ne 0 ]
     then
-        echo Error
+        echo -e "\n-> Error"
+        ERROR=1
+    else
+        echo Ok
+    fi
+fi
+
+
+# EPUB
+if [ -n "$EPUB" ]
+then
+    echo -en "\t- EPUB : "
+    # EPUB
+    cp -f $DOC_DIR/exports/epub/LdapSaisie.epub $EXPORT_DOC_DIR/LdapSaisie.epub
+    if [ $? -ne 0 ]
+    then
+        echo -e "\n-> Error"
         ERROR=1
     else
         echo Ok
@@ -91,12 +113,12 @@ then
     cd $DOC_DIR
     for i in `find -type d|grep -v 'export'`
     do
-       mkdir -p $TMP_DIR/$DOCBOOK/$i
+        mkdir -p $TMP_DIR/$DOCBOOK/$i
     done
     
-    for i in `find -type f|grep -v '(Makefile|^./export)'`
+    for i in `find -type f|egrep -v '(Makefile|^./export)'`
     do
-       cp $i $TMP_DIR/$DOCBOOK/$i
+        cp $i $TMP_DIR/$DOCBOOK/$i
     done
     
     echo "done. Build archive and move it later ..."
@@ -108,22 +130,23 @@ for i in $ALL_IN_ONE $ONLINE $DOCBOOK
 do
     echo -e "\t$i : "
     echo -en "\t\t+ Archive : "
-       tar -cjf LdapSaisie--Doc--$i.tar.bz2 $i && mv LdapSaisie--Doc--$i.tar.bz2 $EXPORT_DOC_DIR/
+    tar -cjf LdapSaisie--Doc--$i.tar.bz2 $i && mv LdapSaisie--Doc--$i.tar.bz2 $EXPORT_DOC_DIR/
     if [ $? -eq 0 ]
     then
         echo Ok
     else
-        echo Erreur
+        echo -e "\n-> Error"
         ERROR=1
     fi
 
     echo -en "\t\t+ Web dir : "
-       rm -fr $EXPORT_DOC_DIR/$i/* && cp -fr $i/* $EXPORT_DOC_DIR/$i/ && rm -fr $i
+    [ ! -d "$EXPORT_DOC_DIR/$i" ] && echo "you must create export $i directory manualy before run this script. (path : $EXPORT_DOC_DIR/$i)" && continue
+    rm -fr $EXPORT_DOC_DIR/$i/* && cp -fr $i/* $EXPORT_DOC_DIR/$i/ && rm -fr $i
     if [ $? -eq 0 ]
     then
         echo Ok
     else
-        echo Erreur
+        echo -e "\n-> Error"
         ERROR=1
     fi
 done
@@ -133,8 +156,12 @@ then
     echo -n "-> Create last-update file : "
     echo "Last update :" > $LAST_UPDATE_FILE
     date >> $LAST_UPDATE_FILE
+    cd $ROOT_DIR
+    git log|head -n 1 >> $LAST_UPDATE_FILE
     echo >> $LAST_UPDATE_FILE
     echo done.
 fi
 
 rm -fr $TMP_DIR
+
+exit $ERROR